IP6(3ast)

NAME
ip6 - IPv6 address support

SYNOPSIS
    #include <ip6.h>
    char*      fmtip6(unsigned char* addr, int bits);
    int        strtoip6(const char* str, char** end, unsigned char* addr, unsigned char* bits);

DESCRIPTION
formats the IPv6 address with optional prefix bits (0 if not a prefix) into a thread-specific 0-terminated temporary buffer and returns a pointer to the formatted value.

converts a formatted IPv6 address from the 0-terminated string into a host order IPv6 address in which must be a buffer of at least bytes. If is not 0 then an optional /bits (prefix size in bits) is parsed and is set to the number of prefix bits. If is not 0 then will point to the first unparsed character in on return. 0 is returned on success, -1 on failure.

SEE ALSO
dss(1)